summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--boa/boa_0.94.13.oe33
-rw-r--r--boa/files/boa.init57
2 files changed, 65 insertions, 25 deletions
diff --git a/boa/boa_0.94.13.oe b/boa/boa_0.94.13.oe
index 7e4fdb1faf..ce700e6955 100644
--- a/boa/boa_0.94.13.oe
+++ b/boa/boa_0.94.13.oe
@@ -2,6 +2,7 @@ DESCRIPTION = "Lightweight and High Performance WebServer"
SECTION = "net"
RPROVIDES = "httpd"
MAINTAINER = "Rene Wagner <reenoo@gmx.de>"
+PR = "r1"
DEPENDS = "mime-support"
RDEPENDS = "mime-support"
@@ -12,7 +13,10 @@ SRC_URI = "http://www.boa.org/boa-${PV}.tar.gz \
file://boa.init"
S = "${WORKDIR}/boa-${PV}/src"
-inherit autotools
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "boa"
+INITSCRIPT_PARAMS = "defaults 20"
CFLAGS_append = " -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE"
#CFLAGS_append = " -DSERVER_ROOT=..."
@@ -23,29 +27,8 @@ do_install() {
install -m 0755 boa ${D}/${sbindir}
install -m 0755 boa_indexer ${D}/${libdir}/${PN}
- install -d ${D}/${sysconfdir}
+ install -d ${D}/${sysconfdir}/${PN}
install -d ${D}/${sysconfdir}/init.d
- install -m 0640 ${WORKDIR}/boa.conf ${D}/${sysconfdir}
- install -m 0640 ${WORKDIR}/boa.init ${D}/${sysconfdir}/init.d/boa
-}
-
-pkg_postinst() {
-if test "x$D" != "x"; then
- exit 1
-else
- addgroup www-data
- adduser --system --home /dev/null --no-create-home --disabled-password --ingroup www-data -s /bin/false www-data
- update-rc.d -s boa defaults 20
-fi
-}
-
-pkg_postrm() {
-if test "x$D" != "x"; then
- exit 1
-else
- ${sysconfdir}/init.d/boa stop
- deluser www-data
- delgroup www-data
- update-rc.d -f boa remove
-fi
+ install -m 0640 ${WORKDIR}/boa.conf ${D}/${sysconfdir}/${PN}
+ install -m 0755 ${WORKDIR}/boa.init ${D}/${sysconfdir}/init.d/boa
}
diff --git a/boa/files/boa.init b/boa/files/boa.init
index e69de29bb2..9c05c5ada3 100644
--- a/boa/files/boa.init
+++ b/boa/files/boa.init
@@ -0,0 +1,57 @@
+#! /bin/sh
+#
+# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+# Modified for Debian GNU/Linux
+# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+# Modified for boa by Bill Allombert <ballombe@debian.org>.
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/boa
+NAME=boa
+DESC="HTTP server"
+LOGDIR="/var/log/$NAME"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME"
+ if [ ! -d $LOGDIR ]; then
+ mkdir -p $LOGDIR
+ fi
+ start-stop-daemon --start --quiet --exec $DAEMON
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon --stop --quiet --oknodo --exec $DAEMON
+ echo "."
+ ;;
+ restart)
+ echo -n "Restarting $DESC: $NAME"
+ start-stop-daemon --stop --signal HUP --quiet --oknodo --exec $DAEMON
+ echo "done."
+ ;;
+ reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ echo -n "Reloading $DESC configuration..."
+ start-stop-daemon --stop --signal 1 --quiet --oknodo --exec $DAEMON
+ echo "done."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0